org.apache.ode.bpel.o

## Class OAssign.VariableRef

- java.lang.Object
- - org.apache.ode.bpel.o.OBase
  - - org.apache.ode.bpel.o.OAssign.VariableRef

- All Implemented Interfaces:
    java.io.Serializable, OAssign.LValue, OAssign.RValue
  Enclosing class:
    OAssign

      public static class OAssign.VariableRef
      extends OBase
      implements OAssign.RValue, OAssign.LValue

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `OMessageVarType.Part` | `headerPart`
    `OExpression` | `location`
    `OMessageVarType.Part` | `part`
    `OScope.Variable` | `variable`

    - ### Fields inherited from class org.apache.ode.bpel.o.OBase

      `debugInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAssign.VariableRef(OProcess owner)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OScope.Variable` | `getVariable()`
    `boolean` | `isHeaderRef()`
    `boolean` | `isMessageRef()` Report whether this is a reference to a whole "message"
    `boolean` | `isPartRef()` Report whether this is a reference to a message part.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.ode.bpel.o.OBase

      `dehydrate, digest, equals, getId, getOwner, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### variable

          public OScope.Variable variable

    - #### part

          public OMessageVarType.Part part

    - #### headerPart

          public OMessageVarType.Part headerPart

    - #### location

          public OExpression location

  - ### Constructor Detail

    - #### OAssign.VariableRef

          public OAssign.VariableRef(OProcess owner)

  - ### Method Detail

    - #### getVariable

          public OScope.Variable getVariable()

      Specified by:
        `getVariable` in interface `OAssign.LValue`

    - #### isMessageRef

          public boolean isMessageRef()

      Report whether this is a reference to a whole "message"
      Returns:
        `true` if whole-message reference

    - #### isPartRef

          public boolean isPartRef()

      Report whether this is a reference to a message part.
      Returns:
        `true` if reference to a message part

    - #### isHeaderRef

          public boolean isHeaderRef()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `OBase`